@echo off
echo This tool cleans up AET SafeSign system entries both from the registry and from the filesystem when used standard installation paths.
echo .
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo !!! Due to registry changes please be very careful using it.        !!!
echo !!! Only use it in case absolutely necessary                        !!!
echo !!! and follow exactly the steps provided below.                    !!!
echo !!! We cannot take over any guarantee in case of usage.             !!!
echo !!! Please run this script with full Administrative rights          !!!
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo .

rmdir "%USERPROFILE%\Desktop\AET_SafeSign_Saved"
mkdir "%USERPROFILE%\Desktop\AET_SafeSign_Saved"
cd "%USERPROFILE%\Desktop\AET_SafeSign_Saved"
taskkill /IM aetcrss1.exe /F
rem PAUSE

echo Backup of relevant Registry Keys started.
REG EXPORT "HKLM\SOFTWARE\Microsoft\Cryptography\Calais\SmartCards" 		"%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedRegistry#1.reg"
REG EXPORT "HKLM\SOFTWARE\A.E.T. Europe B.V." 					"%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedRegistry#2.reg"
REG EXPORT "HKLM\SOFTWARE\Wow6432Node\A.E.T. Europe B.V." 			"%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedRegistry#3.reg"
REG EXPORT "HKLM\SOFTWARE\Wow6432Node\Microsoft\Cryptography\Calais\SmartCards" "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedRegistry#4.reg"
REG EXPORT "HKLM\SOFTWARE\Microsoft\Cryptography\Defaults\Provider\SafeSign Standard Cryptographic Service Provider" 				"%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedRegistry#5.reg"
REG EXPORT "HKLM\SOFTWARE\Microsoft\Cryptography\Defaults\Provider\SafeSign Standard RSA and AES Cryptographic Service Provider" 		"%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedRegistry#6.reg"
REG EXPORT "HKLM\SOFTWARE\Wow6432Node\Microsoft\Cryptography\Defaults\Provider\SafeSign Standard Cryptographic Service Provider" 		"%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedRegistry#7.reg"
REG EXPORT "HKLM\SOFTWARE\Wow6432Node\Microsoft\Cryptography\Defaults\Provider\SafeSign Standard RSA and AES Cryptographic Service Provider" 	"%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedRegistry#8.reg"
echo Relevant Registry Keys saved.
echo .
rem PAUSE

echo Removing of Relevant Registry Keys started.
C:\Windows\System32\AET_Registry_Cleaner.reg
echo Removing of Relevant Registry Keys ended.
echo .
rem PAUSE

echo Backup of relevant files started.
copy C:\Windows\System32\aetcngss.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#1.dll"
copy C:\Windows\System32\aetcrss1.exe "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#2.exe"
copy C:\Windows\System32\aetcsss1.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#3.dll"
copy C:\Windows\System32\aetcsss1.sig "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#4.sig"
copy C:\Windows\System32\aetdlss1.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#5.dll"
copy C:\Windows\System32\aetjcss1.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#6.dll"
copy C:\Windows\System32\aetpkss1.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#7.dll"
copy C:\Windows\System32\aetpksse.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#8.dll"
copy C:\Windows\System32\aetpkssw.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#9.dll"
copy C:\Windows\System32\aettask.dll  "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#10.dll"
copy C:\Windows\System32\aetsprov.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#11.dll"
copy C:\Windows\System32\aetgina1.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#12.dll"
copy C:\Windows\System32\aetcpss1.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#13.dll"
copy C:\Windows\SysWOW64\aetcngss.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#21.dll"
copy C:\Windows\SysWOW64\aetcrss1.exe "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#22.exe"
copy C:\Windows\SysWOW64\aetcsss1.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#23.dll"
copy C:\Windows\SysWOW64\aetcsss1.sig "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#24.sig"
copy C:\Windows\SysWOW64\aetdlss1.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#25.dll"
copy C:\Windows\SysWOW64\aetjcss1.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#26.dll"
copy C:\Windows\SysWOW64\aetpkss1.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#27.dll"
copy C:\Windows\SysWOW64\aetpksse.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#28.dll"
copy C:\Windows\SysWOW64\aetpkssw.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#29.dll"
copy C:\Windows\SysWOW64\aettask.dll  "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#30.dll"
copy C:\Windows\SysWOW64\aetsprov.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#31.dll"
copy C:\Windows\SysWOW64\aetgina.dll  "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#32.dll"
copy C:\Windows\SysWOW64\aetcpss1.dll "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedFile#33.dll"
echo Backup of relevant files ended.
echo .
rem PAUSE

echo Deletion of files started.
del C:\Windows\System32\aetcngss.dll /F
del C:\Windows\System32\aetcrss1.exe /F
del C:\Windows\System32\aetcsss1.dll /F
del C:\Windows\System32\aetcsss1.sig /F
del C:\Windows\System32\aetdlss1.dll /F
del C:\Windows\System32\aetjcss1.dll /F
del C:\Windows\System32\aetpkss1.dll /F
del C:\Windows\System32\aetpksse.dll /F
del C:\Windows\System32\aetpkssw.dll /F
del C:\Windows\System32\aettask.dll  /F
del C:\Windows\System32\aetsprov.dll /F
del C:\Windows\System32\aetgina1.dll /F
del C:\Windows\System32\aetcpss1.dll /F
del C:\Windows\SysWOW64\aetcngss.dll /F
del C:\Windows\SysWOW64\aetcrss1.exe /F
del C:\Windows\SysWOW64\aetcsss1.dll /F
del C:\Windows\SysWOW64\aetcsss1.sig /F
del C:\Windows\SysWOW64\aetdlss1.dll /F
del C:\Windows\SysWOW64\aetjcss1.dll /F
del C:\Windows\SysWOW64\aetpkss1.dll /F
del C:\Windows\SysWOW64\aetpksse.dll /F
del C:\Windows\SysWOW64\aetpkssw.dll /F
del C:\Windows\SysWOW64\aettask.dll  /F
del C:\Windows\SysWOW64\aetsprov.dll /F
del C:\Windows\SysWOW64\aetgina1.dll /F
del C:\Windows\SysWOW64\aetcpss1.dll /F
echo Deletion of relevant files ended.
echo .
rem PAUSE

echo Backup of relevant directories started.
xcopy /E /I "C:\Program Files\A.E.T. Europe B.V" "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedDir#1"
xcopy /E /I "C:\Program Files (x86)\A.E.T. Europe B.V" "%USERPROFILE%\Desktop\AET_SafeSign_Saved\AET_SafeSign_SavedDir#2"
echo Backup of relevant directories ended.
echo .
rem PAUSE

echo Deletion of directories started.
rmdir "C:\Program Files\A.E.T. Europe B.V" /S /Q
rmdir "C:\Program Files (x86)\A.E.T. Europe B.V" /S /Q
echo Deletion of relevant directories ended.
echo .
rem PAUSE

echo Backup has been done to files AET_SafeSign_SavedRegistry#<1...n>.reg, AET_SafeSign_SavedFile#<1...n>.* and to directories AET_SafeSign_SavedDir#<1...n> in the current directory.
echo Cleaning of the system has been completed. 
echo URGENT: Please restart the system before doing any other activities.
echo .

PAUSE
